## GstColorBalanceChannel

GstColorBalanceChannel — Object representing a channel from the GstColorBalance interface.

## Signals

void | value-changed | Run Last

## Types and Values

struct | GstColorBalanceChannel
struct | GstColorBalanceChannelClass

## Object Hierarchy

        GObject
        ╰── GstColorBalanceChannel

## Includes

    #include <gst/video/video.h>

## Description

The GstColorBalanceChannel object represents a parameter for modifying the color balance implemented by an element providing the GstColorBalance interface. For example, Hue or Saturation.

## Functions

## Types and Values

### struct GstColorBalanceChannel

    struct GstColorBalanceChannel {
      gchar  *label;
      gint    min_value;
      gint    max_value;
    };

#### Members

gchar *`label`; | A string containing a descriptive name for this channel |
gint `min_value`; | The minimum valid value for this channel. |
gint `max_value`; | The maximum valid value for this channel. |

### struct GstColorBalanceChannelClass

    struct GstColorBalanceChannelClass {
      GObjectClass parent;

      /* signals */
      void (* value_changed) (GstColorBalanceChannel *channel,
                              gint                    value);
    };

Color-balance channel class.

#### Members

GObjectClass `parent`; | the parent class |
`value_changed` () | default handler for value changed notification |

## Signal Details

### The `“value-changed”` signal

    void
    user_function (GstColorBalanceChannel *channel,
                   gint                    value,
                   gpointer                user_data)

Fired when the value of the indicated channel has changed.

#### Parameters

channel | The GstColorBalanceChannel |
value | The new value |
user_data | user data set when the signal handler was connected. |

Flags: Run Last